summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorVladimir Cerny2015-06-12 19:22:02 +0200
committerVladimir Cerny2015-06-12 19:22:02 +0200
commitfbb0a25c44e3caf42ddf043f03821d1f6df2df94 (patch)
tree94cfe47ddc208b9d6e69d8abcfbfc64bd23a5c2d
downloadaur-fbb0a25c44e3caf42ddf043f03821d1f6df2df94.tar.gz
migration from old aur
-rw-r--r--.SRCINFO16
-rw-r--r--PKGBUILD24
2 files changed, 40 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..8c75a3c20b1
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,16 @@
+pkgbase = xoscope
+ pkgdesc = A digital oscilloscope using input from a sound card. This package does not support COMEDI devices.
+ pkgver = 2.1
+ pkgrel = 1
+ url = http://xoscope.sourceforge.net/
+ arch = i686
+ arch = x86_64
+ license = GPL
+ depends = fftw
+ depends = gtkdatabox
+ depends = alsa-lib
+ source = http://downloads.sourceforge.net/project/xoscope/xoscope/2.1/xoscope-2.1.tar.gz
+ md5sums = a8b792ebca861eddc5967b255936a6bc
+
+pkgname = xoscope
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..216eaae973e
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,24 @@
+# Maintainer: Vladimir Cerny <blackvladimir@gmail.com>
+pkgname=xoscope
+pkgver=2.1
+pkgrel=1
+pkgdesc="A digital oscilloscope using input from a sound card. This package does not support COMEDI devices."
+arch=("i686" "x86_64")
+url="http://xoscope.sourceforge.net/"
+license=('GPL')
+depends=('fftw' 'gtkdatabox' 'alsa-lib')
+install=
+source=(http://downloads.sourceforge.net/project/$pkgname/$pkgname/$pkgver/$pkgname-$pkgver.tar.gz)
+
+build() {
+ cd $srcdir/$pkgname-$pkgver
+ ./configure --prefix=/usr
+ make || return 1
+}
+
+package(){
+ cd $srcdir/$pkgname-$pkgver
+ make DESTDIR=$pkgdir install
+}
+
+md5sums=('a8b792ebca861eddc5967b255936a6bc')